#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk
from gi.repository import Gdk

from ..configuration import *

class ApplicationWindow(Gtk.ApplicationWindow):
    def __init__(self, app):
        Gtk.ApplicationWindow.__init__(self,
                                       title=APP_NAME,
                                       application=app)

        """
        Build Settings
        """
        self.app = app
        self.set_position(Gtk.WindowPosition.CENTER)
        self.set_name("main_window")

        # Set window size and position
        self.set_default_size(1280, 720)

        self.set_icon_name(APP_ICON_NAME)

        """
        Build Window
        """
        headerbar = Gtk.HeaderBar()
        headerbar.set_title(APP_NAME)
        headerbar.set_show_close_button(True)
        self.set_titlebar(headerbar)

        
